class MaintainersController < ApplicationController
  # GET /maintainers
  # GET /maintainers.xml
  def index
    if params[:for]
      @package = Package.find_by_name(params[:for])
      @maintainers = @package.maintainers
    else
      @maintainers = Maintainer.all
    end

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @maintainers }
      format.json { render :json => @maintainers }
    end
  end

  # GET /maintainers/1
  # GET /maintainers/1.xml
  def show
    @maintainer = Maintainer.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @maintainer }
    end
  end

  # GET /maintainers/new
  # GET /maintainers/new.xml
  def new
    @maintainer = Maintainer.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @maintainer }
    end
  end

  # GET /maintainers/1/edit
  def edit
    @maintainer = Maintainer.find(params[:id])
  end

  # POST /maintainers
  # POST /maintainers.xml
  def create
    @maintainer = Maintainer.new(params[:maintainer])

    respond_to do |format|
      if @maintainer.save
        format.html { redirect_to(@maintainer, :notice => 'Maintainer was successfully created.') }
        format.xml  { render :xml => @maintainer, :status => :created, :location => @maintainer }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @maintainer.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /maintainers/1
  # PUT /maintainers/1.xml
  def update
    @maintainer = Maintainer.find(params[:id])

    respond_to do |format|
      if @maintainer.update_attributes(params[:maintainer])
        format.html { redirect_to(@maintainer, :notice => 'Maintainer was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @maintainer.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /maintainers/1
  # DELETE /maintainers/1.xml
  def destroy
    @maintainer = Maintainer.find(params[:id])
    @maintainer.destroy

    respond_to do |format|
      format.html { redirect_to(maintainers_url) }
      format.xml  { head :ok }
    end
  end
end
