class MaintainersPackagesController < ApplicationController
  protect_from_forgery :except => [:create]
  
  # GET /maintainers_packages
  # GET /maintainers_packages.xml
  def index
    @maintainers_packages = MaintainersPackage.all

    respond_to do |format|
      format.html # index.html.erb
      format.xml  { render :xml => @maintainers_packages }
    end
  end

  # GET /maintainers_spackages/1
  # GET /maintainers_spackages/1.xml
  def show
    @maintainers_package = MaintainersPackage.find(params[:id])

    respond_to do |format|
      format.html # show.html.erb
      format.xml  { render :xml => @maintainers_package }
    end
  end

  # GET /maintainers_package/new
  # GET /maintainers_package/new.xml
  def new
    @maintainers_package = MaintainersPackage.new

    respond_to do |format|
      format.html # new.html.erb
      format.xml  { render :xml => @maintainers_package }
    end
  end

  # GET /maintainers_packages/1/edit
  def edit
    @maintainers_package = MaintainersPackage.find(params[:id])
  end

  # POST /maintainers_packages
  # POST /maintainers_packages.xml
  def create
    # Check that we have the necessary parameters
    #if (params[:key] && params[:package] && params[:uid])
    if (params[:package] && params[:uid] && params[:key])
      if params[:key] == 'm1g234'
        @package = Package.find_or_create_by_name(params[:package])
        @maintainer = Maintainer.find_or_create_by_uid(params[:uid])
        @maintainers_package = MaintainersPackage.new(:maintainer_id => @maintainer.id,
                                                      :package_id => @package.id)
      end
    end

    respond_to do |format|
      if @maintainers_package.save
        format.html { redirect_to(@maintainers_package, :notice => 'MaintainersPackage was successfully created.') }
        format.xml  { render :xml => @maintainers_package, :status => :created, :location => @maintainers_package }
      else
        format.html { render :action => "new" }
        format.xml  { render :xml => @maintainers_package.errors, :status => :unprocessable_entity }
      end
    end
  end

  # PUT /maintainers_packages/1
  # PUT /maintainers_packages/1.xml
  def update
    @maintainers_package = MaintainersPackage.find(params[:id])

    respond_to do |format|
      if @maintainers_package.update_attributes(params[:maintainers_package])
        format.html { redirect_to(@maintainers_package, :notice => 'MaintainersPackage was successfully updated.') }
        format.xml  { head :ok }
      else
        format.html { render :action => "edit" }
        format.xml  { render :xml => @maintainers_package.errors, :status => :unprocessable_entity }
      end
    end
  end

  # DELETE /maintainers_packages/1
  # DELETE /maintainers_packages/1.xml
  def destroy
    @maintainers_package = MaintainersPackage.find(params[:id])
    @maintainers_package.destroy

    respond_to do |format|
      format.html { redirect_to(maintainers_packages_url) }
      format.xml  { head :ok }
    end
  end
end
