class Package < ActiveRecord::Base
  has_many :maintainers_packages
  has_many :maintainers, :through => :maintainers_packages
  belongs_to :media

  named_scope :unmaintained, {:include => :maintainers_packages,
                              :conditions => ["maintainers_packages.maintainer_id is NULL"]}
  named_scope :maintained, {:include => :maintainers_packages,
                            :conditions => ["maintainers_packages.maintainer_id is NOT NULL"]}
end
