Feature: Managing Maintainers

In order to manage the maintainers list
As an admin
I want to be able to CRUD maintainers

@empty
Scenario: Display message when we don't have any maintainer
  Given I have no maintainers
  When I go to the list of maintainers
  Then I should see "no entries found"

@create
Scenario: Creating a new Maintainer
  Given I am on the homepage
  And I follow "Maintainers"
  Then I should be on the maintainers index page
  Given I follow "New maintainer"
  And I fill in "First name" with "John"
  And I fill in "Surname" with "Smith"
  And I fill in "Email" with "john.smith@mageia.org"
  When I press "Create"
  Then I should see "Maintainer was successfully created."
  And I should be on the maintainers index page

@list
Scenario: Maintainers list
  Given I have maintainers called john.smith@mageia.org, tim.jones@mageia.org
  When I go to the list of maintainers
  Then I should see "john.smith@mageia.org"
  And I should see "tim.jones@mageia.org"

@valid
Scenario: Create Valid Maintainer
  Given I have no maintainers
  And I am on the list of maintainers
  When I follow "New Maintainer"
  And I fill in "Email" with "sam.one@mageia.org"
  And I press "Create Maintainer"
  Then I should see "Maintainer was successfully created."
  And I should see "sam.one@mageia.org"
  And I should have 1 maintainer

@invalid
Scenario: Create Invalid Maintainer
  Given I have no maintainers
  And I am on the list of maintainers
  When I follow "New Maintainer"
  And I press "Create Maintainer"
  Then I should see "Email can't be blank"
  And I should have 0 maintainer

@edit
Scenario: Edit existing Maintainer
  Given I have maintainers called john.smith@mageia.org.uk
  And I am on the homepage
  And I follow "Maintainer"
  Then I should be on the maintainers index page
  When I follow "Edit"
  And I fill in "Email" with "johnathan.smith@mageia.org.uk"
  When I press "Update"
  Then I should see "Maintainer was successfully updated."
  And I should be on the maintainers index page

@show
Scenario: Show Maintainer
  Given I have maintainers called "john.smith@mageia.org.uk"
  And I am on the homepage
  And I follow "Maintainers"
  Then I should be on the maintainers index page
  When I follow "Show"
  Then I should see "john.smith@mageia.org"

@wip
Scenario: Delete Media
  Given I have media called "main"
  And I am on the homepage
  And I follow "Media"
  Then I should be on the media index page
  When I follow "Delete"
  Then I should be on the media index page
  And I should see "No entries found"
  And I should have 0 media
